[arch-commits] Commit in renderproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 15:41:05 EDT 2009


    Date: Friday, April 17, 2009 @ 15:41:05
  Author: eric
Revision: 35840

upgpkg: renderproto 0.9.3-2
    Added license

Modified:
  renderproto/trunk/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-17 19:40:16 UTC (rev 35839)
+++ PKGBUILD	2009-04-17 19:41:05 UTC (rev 35840)
@@ -3,16 +3,18 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=renderproto
 pkgver=0.9.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Render extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(http://xorg.freedesktop.org/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('598bc9a493deee2e48e4434e94467189')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-md5sums=('598bc9a493deee2e48e4434e94467189')



More information about the arch-commits mailing list